#include "heart_beat.h"

HeartBeat::HeartBeat(uint8_t const pin) noexcept
  : led_{ pin }, t_{ 0ul } {}

void HeartBeat::init() noexcept {
  led_.init();
}

void HeartBeat::update(unsigned long deltaMillis) noexcept {
  t_ = (t_ + deltaMillis) % 2000ul;
  led_.setState(t_ < 1000ul ? LS_On : LS_Off);
}
